Module java.compiler
Package javax.lang.model.type

## Interface ReferenceType

- All Superinterfaces:
    `AnnotatedConstruct`, `TypeMirror`
  All Known Subinterfaces:
    `ArrayType`, `DeclaredType`, `ErrorType`, `NullType`, `TypeVariable`

      public interface ReferenceType
      extends TypeMirror

  Represents a reference type. These include class and interface types, array types, type variables, and the null type.
  Since:
    1.6

- - ### Method Summary

    - ### Methods declared in interface javax.lang.model.AnnotatedConstruct

      `getAnnotation, getAnnotationMirrors, getAnnotationsByType`

    - ### Methods declared in interface javax.lang.model.type.TypeMirror

      `accept, equals, getKind, hashCode, toString`